%global pkg spice-mode
%global pkgname Emacs-spice-mode

%if %($(pkg-config emacs) ; echo $?)
%global emacs_version 23.1.1
%global emacs_lispdir %{_datadir}/emacs/site-lisp
%global emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%global emacs_version %(pkg-config emacs --modversion)
%global emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%global emacs_startdir %(pkg-config emacs --variable sitestartdir)
%endif

Name:		emacs-%{pkg}
Version:	1.2.25
Release:	1%{?dist}
Summary:	SPICE Mode for GNU Emacs

Group:		Applications/Editors
License:	GPLv2+
URL:		http://spice-mode.4t.com/
Source0:	http://spice-mode.4t.com/spice-mode-1.2.25.tar.gz
Source1:	%{pkg}-init.el
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	emacs emacs-el
Requires:	emacs(bin) >= %{emacs_version}
		
%description
This package provides an Emacs major mode for editing SPICE decks.

%package el
Summary:	Source files for %{pkgname} under GNU Emacs
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}

%description el
This package contains the elisp source files for 
use with %{pkgname}.

%prep
%setup -q -n %{pkg}

%build
emacs -batch -f batch-byte-compile %{pkg}.el

%install
%{__rm} -rf %{buildroot}
%{__install} -pm 755 -d %{buildroot}%{emacs_lispdir}/%{pkg}/
%{__install} -pm 755 -d %{buildroot}%{emacs_startdir}	
%{__install} -pm 644 %{pkg}.* %{buildroot}%{emacs_lispdir}/%{pkg}/
%{__install} -pm 644 %{SOURCE1} %{buildroot}%{emacs_startdir}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS Changes COPYING README test_netlist.cir
%{emacs_lispdir}/%{pkg}/*.elc
%{emacs_startdir}/%{pkg}-init.el
%dir %{emacs_lispdir}/%{pkg}
%dir %{emacs_startdir}

%files el
%defattr(-,root,root,-)
%{emacs_lispdir}/%{pkg}/*.el

%changelog
* Sun Dec 06 2009 Arun SAG <sagarun [AT] gmail dot com> - 1.2.25-1
- Initial release 1.2.25-1
